Bug 69515 - failed to rebuild kdemultimedia-3.0.2-2.src.rpm
failed to rebuild kdemultimedia-3.0.2-2.src.rpm
Product: Red Hat Raw Hide
Classification: Retired
Component: kdemultimedia (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
Depends On:
Blocks: 67217
  Show dependency treegraph
Reported: 2002-07-22 17:52 EDT by Fortepianissimo
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-22 23:33:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Fortepianissimo 2002-07-22 17:52:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020718

Description of problem:
rpmbuild process stopped with errors

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.rpmbuild --rebuild kdemultimedia-3.0.2-2.src.rpm
2.stopped with error messages

Actual Results:  Error messages:

g++ -DHAVE_CONFIG_H -I. -I. -I../../../../.. -I.. -I/usr/include/kde
-I/usr/lib/qt-3.0.4/include -I/usr/X11R6/include -DQT_THREAD_SUPPORT
-D_REENTRANT -DNDEBUG -DNO_DEBUG -O2 -O6 -march=i686 -DNDEBUG -fno-check-new
-fno-exceptions -fno-check-new -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -c
rgb2yuv16.cpp -MT rgb2yuv16.lo -MD -MP -MF .deps/rgb2yuv16.TPlo  -fPIC -DPIC -o
In file included from /usr/include/c++/3.1/backward/iostream.h:31,
                 from ../../timeStamp.h:18,
                 from ../yuvPicture.h:24,
                 from rgb2yuv16.h:25,
                 from rgb2yuv16.cpp:18:
/usr/include/c++/3.1/backward/backward_warning.h:32:2: warning: #warning This
file includes at least one deprecated or antiquated header. Please consider
using one of the 32 headers found in section of the C++ standard.
Examples include substituting the <X> header for the <X.h> header for C++
includes, or <sstream> instead of the deprecated header <strstream.h>. To
disable this warning use -Wno-deprecated.
/tmp/ccqZ2wkD.s: Assembler messages:
/tmp/ccqZ2wkD.s:1092: Error: symbol `rgb2yuv16_422' is already defined
/tmp/ccqZ2wkD.s:1309: Error: symbol `rgb2yuv16_422_fast' is already defined
/tmp/ccqZ2wkD.s:1410: Error: symbol `rgb2y_16' is already defined
/tmp/ccqZ2wkD.s:1559: Error: symbol `rgb2y32_fast' is already defined
make[6]: *** [rgb2yuv16.lo] Error 1
make[6]: Leaving directory
make[5]: *** [all-recursive] Error 1
make[5]: Leaving directory
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory `/home/RPM-INSTALL/kdemultimedia-3.0.2/mpeglib/lib/util'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/home/RPM-INSTALL/kdemultimedia-3.0.2/mpeglib/lib'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/RPM-INSTALL/kdemultimedia-3.0.2/mpeglib'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/RPM-INSTALL/kdemultimedia-3.0.2'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.61271 (%build)

RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.61271 (%build)

Additional info:

my /etc/rpmrc:

buildarchtranslate:i686: i686

optflags: i686 -O6 -march=i686

relevant packages:

Comment 1 Ngo Than 2002-08-08 08:55:53 EDT
cannot reproduce it with new gcc-3.2-0.1. Please try it again with gcc-3.2-0.1

Note You need to log in before you can comment on or make changes to this bug.